print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricefurniture = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local furnitureHudFile = "Paletten/hud_fill_furniture.dds"
	local furnitureHudFileSmall = "Paletten/hud_fill_furniture_small.dds"
	
    local furnitureFilType = g_fillTypeManager:addFillType("FURNITURE", g_i18n:getText("furniture"), true, pricefurniture * 0.6, 0.00045, math.rad(10), furnitureHudFile, furnitureHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasfurniture=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasfurniture=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "FURNITURE" then
		hasfurniture=true
	end;
		
end;

		if hasmaize and not hasfurniture then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("FURNITURE")
		local price = g_fillTypeManager:getFillTypeByName("FURNITURE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("FURNITURE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)