print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecleanlog = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cleanlogHudFile = "Paletten/hud_fill_cleanlog.dds"
	local cleanlogHudFileSmall = "Paletten/hud_fill_cleanlog_small.dds"
	
    local cleanlogFilType = g_fillTypeManager:addFillType("CLEANLOG", g_i18n:getText("cleanlog"), true, pricecleanlog * 0.8, 0.00045, math.rad(10), cleanlogHudFile, cleanlogHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascleanlog=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascleanlog=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CLEANLOG" then
		hascleanlog=true
	end;
		
end;

		if hasmaize and not hascleanlog then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CLEANLOG")
		local price = g_fillTypeManager:getFillTypeByName("CLEANLOG").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CLEANLOG")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)